Subject: bug#5003: Allow marking a local variable as permanently unsafe

From: Lennart Borgman <[email-masked]>
Date: Sat, 21 Nov 2009 13:14:36 +0100

When you open a file with a local variable list you may get a warning like this:

The local variables list in ess-mous.el
contains values that may not be safe (*).

Do you want to apply it?  You can type
y  -- to apply the local variables list.
n  -- to ignore the local variables list.
!  -- to apply the local variables list, and permanently mark these
      values (*) as safe (in the future, they will be set automatically.)

  * outline-minor-mode : nil
    mode : outline-minor
    outline-regexp : "\f\\|\\`;\\|;;\\*\\|;;;\\*\\|(def[cvu]\\|(setq\\|;;;;\\*"

You can get rid of this warning by allowing those variable permanently
(which is good for your own files), but wouldn't it be good to be able
to also permanently disallow those warnings (for other peoples files)
from this prompt?